# frozen_string_literal: true

Gem::Specification.new do |s|
  s.name          = 'sensei_eod_utils'
  s.version       = '0.0.53'
  s.date          = '2019-12-20'
  s.summary       = 'Sensei trader utility functions and Eod api facade'
  s.authors       = ['Nishant Shah']
  s.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  s.require_paths = ['lib']
  s.homepage      = 'https://rubygems.org/gems/sensei_eod_utils'
  s.license       = 'MIT'

  s.add_dependency 'httparty', '~> 0.17'
  s.add_dependency 'redis', '~> 4.1'
  s.add_dependency 'oj', '~> 3.10'
  s.add_dependency 'ruby-enum', '~> 0.7'
end
